
From: Adrian Bunk <bunk@fs.tum.de>

Insert header guards to allow possible multiple inclusion for
include/linux/percpu_counter.h and include/linux/blockgroup_lock.h

Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/blockgroup_lock.h |    4 +++-
 25-akpm/include/linux/percpu_counter.h  |    4 ++++
 2 files changed, 7 insertions(+), 1 deletion(-)

diff -puN include/linux/blockgroup_lock.h~ifndef-guard-percpu_counterh-and-blockgroup_lockh include/linux/blockgroup_lock.h
--- 25/include/linux/blockgroup_lock.h~ifndef-guard-percpu_counterh-and-blockgroup_lockh	2004-07-11 22:08:02.855137256 -0700
+++ 25-akpm/include/linux/blockgroup_lock.h	2004-07-11 22:08:02.860136496 -0700
@@ -1,3 +1,5 @@
+#ifndef _LINUX_BLOCKGROUP_LOCK_H
+#define _LINUX_BLOCKGROUP_LOCK_H
 /*
  * Per-blockgroup locking for ext2 and ext3.
  *
@@ -55,4 +57,4 @@ static inline void bgl_lock_init(struct 
 #define sb_bgl_lock(sb, block_group) \
 	(&(sb)->s_blockgroup_lock.locks[(block_group) & (NR_BG_LOCKS-1)].lock)
 
-
+#endif
diff -puN include/linux/percpu_counter.h~ifndef-guard-percpu_counterh-and-blockgroup_lockh include/linux/percpu_counter.h
--- 25/include/linux/percpu_counter.h~ifndef-guard-percpu_counterh-and-blockgroup_lockh	2004-07-11 22:08:02.857136952 -0700
+++ 25-akpm/include/linux/percpu_counter.h	2004-07-11 22:08:02.861136344 -0700
@@ -1,3 +1,5 @@
+#ifndef _LINUX_PERCPU_COUNTER_H
+#define _LINUX_PERCPU_COUNTER_H
 /*
  * A simple "approximate counter" for use in ext2 and ext3 superblocks.
  *
@@ -101,3 +103,5 @@ static inline void percpu_counter_dec(st
 {
 	percpu_counter_mod(fbc, -1);
 }
+
+#endif /* _LINUX_PERCPU_COUNTER_H */
_
